POST
/spaces/watch-statusGet space watch status
Retrieves the authenticated user's watch state for a space. Supply spaceId to identify the space whose watch status you want to check.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The identifier of the space whose watch state to retrieve.
spaceIdstringrequired
Space identifier.
200Returns the current watch state for the space.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when checking the space's watch state is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the space does not exist.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to check the space's watch state. A 404 is returned when no space exists with the supplied spaceId.